Index: misc/CMake/BRLCAD_Targets.cmake
===================================================================
--- misc/CMake/BRLCAD_Targets.cmake	(revision 54114)
+++ misc/CMake/BRLCAD_Targets.cmake	(working copy)
@@ -36,7 +36,7 @@
 
 # When defining targets, we need to know if we have a no-error flag
 include(CheckCCompilerFlag)
-CHECK_C_COMPILER_FLAG(-Wno-error NOERROR_FLAG)
+check_c_compiler_flag(-Wno-error NOERROR_FLAG)
 
 # Utility macro checking for a specific arg in un-named arguments to a
 # macro.
@@ -161,7 +161,7 @@
 
   # Make sure we don't have a non-installed exec target.  If it is to
   # be installed, call the install function
-  CHECK_OPT("NO_INSTALL" NO_EXEC_INSTALL "${ARGN}")
+  check_opt("NO_INSTALL" NO_EXEC_INSTALL "${ARGN}")
   if(NOT NO_EXEC_INSTALL)
     install(TARGETS ${execname} DESTINATION ${BIN_DIR})
   endif(NOT NO_EXEC_INSTALL)
@@ -170,7 +170,7 @@
   # be able to force the executable to remain in the local directory
   # regardless of the global CMAKE_RUNTIME_OUTPUT_DIRECTORY setting.
   # The LOCAL flag is used to denote such executables.
-  CHECK_OPT("LOCAL" LOCAL_EXEC "${ARGN}")
+  check_opt("LOCAL" LOCAL_EXEC "${ARGN}")
   if(LOCAL_EXEC)
     if(NOT CMAKE_CONFIGURATION_TYPES)
       set_target_properties(${execname} PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
@@ -184,13 +184,13 @@
 
   # Use the list of libraries to be linked into this target to
   # accumulate the necessary definitions and compilation flags.
-  GET_TARGET_DEFINES(${execname} "${libslist}")
+  get_target_defines(${execname} "${libslist}")
   # For DLL libraries, we may need additional flags
-  GET_TARGET_DLL_DEFINES(${execname} "${libslist}")
-  GET_TARGET_FLAGS(${execname} "${libslist}")
+  get_target_dll_defines(${execname} "${libslist}")
+  get_target_flags(${execname} "${libslist}")
 
   # Find out if we have C, C++, or both
-  SRCS_LANG("${srcslist}" exec_type ${execname})
+  srcs_lang("${srcslist}" exec_type ${execname})
 
   # Add the definitions
   foreach(lib_define ${${execname}_DEFINES})
@@ -203,7 +203,7 @@
   # If we have a mixed language exec, pass on the flags to
   # the source files - otherwise, use the target.
   if(${exec_type} STREQUAL "MIXED")
-    FLAGS_TO_FILES("${srcslist}" ${execname})
+    flags_to_files("${srcslist}" ${execname})
   else(${exec_type} STREQUAL "MIXED")
     # All one language - we can apply the flags to the target
     foreach(lib_flag ${${execname}_${exec_type}_FLAGS})
@@ -222,7 +222,7 @@
 
   # C++ is handled separately (on a per-file basis) if we have mixed sources via the NOSTRICTCXX flag
   if(${exec_type} STREQUAL "MIXED")
-    CXX_NOSTRICT("${srcslist}" "${ARGN}")
+    cxx_nostrict("${srcslist}" "${ARGN}")
   endif(${exec_type} STREQUAL "MIXED")
 
 endmacro(BRLCAD_ADDEXEC execname srcslist libslist)
@@ -239,19 +239,19 @@
   set(BRLCAD_LIBS "${BRLCAD_LIBS}" CACHE STRING "BRL-CAD libraries" FORCE)
 
   # Collect the definitions and flags needed by this library
-  GET_TARGET_DEFINES(${libname} "${libslist}")
+  get_target_defines(${libname} "${libslist}")
   # For DLL libraries, we may need additional flags
-  GET_TARGET_DLL_DEFINES(${libname} "${libslist}")
-  GET_TARGET_FLAGS(${libname} "${libslist}")
+  get_target_dll_defines(${libname} "${libslist}")
+  get_target_flags(${libname} "${libslist}")
 
   # Find out if we have C, C++, or both
-  SRCS_LANG("${srcslist}" lib_type ${libname})
+  srcs_lang("${srcslist}" lib_type ${libname})
 
   # If we have a mixed language library, go ahead and pass on the flags to
   # the source files - we don't need the targets defined since the flags
   # will be managed per-source-file.
   if(${lib_type} STREQUAL "MIXED")
-    FLAGS_TO_FILES("${srcslist}" ${libname})
+    flags_to_files("${srcslist}" ${libname})
   endif(${lib_type} STREQUAL "MIXED")
 
   # Handle "shared" libraries (with MSVC, these would be dynamic libraries)
@@ -359,7 +359,7 @@
   # C++ STRICTNESS is handled separately (on a per-file basis) if we have mixed
   # sources via the NOSTRICTCXX flag
   if(${lib_type} STREQUAL "MIXED")
-    CXX_NOSTRICT("${srcslist}" "${ARGN}")
+    cxx_nostrict("${srcslist}" "${ARGN}")
   endif(${lib_type} STREQUAL "MIXED")
 
   # For any CPP_DLL_DEFINES DLL library, users of that library will need the DLL_IMPORTS
@@ -418,7 +418,7 @@
 
     # paths in BRL-CAD build dir
     foreach(inc_path ${${DIR_LIST}})
-      IS_SUBPATH("${BRLCAD_BINARY_DIR}" "${inc_path}" SUBPATH_TEST)
+      is_subpath("${BRLCAD_BINARY_DIR}" "${inc_path}" SUBPATH_TEST)
       if("${SUBPATH_TEST}" STREQUAL "1")
 	set(NEW_DIR_LIST ${NEW_DIR_LIST} ${inc_path})
 	list(REMOVE_ITEM ${DIR_LIST} ${inc_path})
@@ -427,7 +427,7 @@
 
     # paths in BRL-CAD source dir
     foreach(inc_path ${${DIR_LIST}})
-      IS_SUBPATH("${BRLCAD_SOURCE_DIR}" "${inc_path}" SUBPATH_TEST)
+      is_subpath("${BRLCAD_SOURCE_DIR}" "${inc_path}" SUBPATH_TEST)
       if("${SUBPATH_TEST}" STREQUAL "1")
 	set(NEW_DIR_LIST ${NEW_DIR_LIST} ${inc_path})
 	list(REMOVE_ITEM ${DIR_LIST} ${inc_path})
@@ -459,7 +459,7 @@
   mark_as_advanced(${DIR_LIST})
 
   set(ALL_INCLUDES ${${DIR_LIST}} ${${LOCAL_DIR_LIST}})
-  BRLCAD_SORT_INCLUDE_DIRS(ALL_INCLUDES)
+  brlcad_sort_include_dirs(ALL_INCLUDES)
   include_directories(${ALL_INCLUDES})
 endmacro(BRLCAD_LIB_INCLUDE_DIRS)
 
@@ -489,7 +489,7 @@
 macro(BRLCAD_MANAGE_FILES inputdata targetdir)
   # Handle both a list of one or more files and variable holding a list of files -
   # find out what we've got.
-  NORMALIZE_FILE_LIST("${inputdata}" datalist fullpath_datalist targetname)
+  normalize_file_list("${inputdata}" datalist fullpath_datalist targetname)
 
   # Now that the input data and target names are in order, define the custom
   # commands needed for build directory data copying on this platform (per
@@ -559,18 +559,18 @@
 
   # Define the target and add it to this directories list of data targets
   add_custom_target(${targetname}_cp ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${targetname}.sentinel)
-  BRLCAD_ADD_DIR_LIST_ENTRY(DATA_TARGETS "${CMAKE_CURRENT_BINARY_DIR}" ${targetname}_cp)
+  brlcad_add_dir_list_entry(DATA_TARGETS "${CMAKE_CURRENT_BINARY_DIR}" ${targetname}_cp)
 
   # Add outputs to the distclean rules - this is consistent regardless of what type the output
   # file is, symlink or copy.  Just need to handle the single and multiconfig cases.
   foreach(filename ${fullpath_datalist})
     get_filename_component(ITEM_NAME "${filename}" NAME)
     if(NOT CMAKE_CONFIGURATION_TYPES)
-      DISTCLEAN(${CMAKE_BINARY_DIR}/${targetdir}/${ITEM_NAME})
+      distclean(${CMAKE_BINARY_DIR}/${targetdir}/${ITEM_NAME})
     else(NOT CMAKE_CONFIGURATION_TYPES)
       foreach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
 	string(TOUPPER "${CFG_TYPE}" CFG_TYPE_UPPER)
-	DISTCLEAN(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${targetdir}/${ITEM_NAME})
+	distclean(${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${targetdir}/${ITEM_NAME})
       endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
     endif(NOT CMAKE_CONFIGURATION_TYPES)
   endforeach(filename ${fullpath_datalist})
@@ -586,17 +586,17 @@
 # of the common cases in BRL-CAD.
 
 macro(BRLCAD_ADDDATA datalist targetdir)
-  BRLCAD_MANAGE_FILES(${datalist} ${DATA_DIR}/${targetdir})
+  brlcad_manage_files(${datalist} ${DATA_DIR}/${targetdir})
 endmacro(BRLCAD_ADDDATA)
 
 macro(ADD_DOC doclist targetdir)
   set(doc_target_dir ${DOC_DIR}/${targetdir})
-  BRLCAD_MANAGE_FILES(${doclist} ${doc_target_dir})
+  brlcad_manage_files(${doclist} ${doc_target_dir})
 endmacro(ADD_DOC)
 
 macro(ADD_MAN_PAGES num inmanlist)
   set(man_target_dir ${MAN_DIR}/man${num})
-  BRLCAD_MANAGE_FILES(${inmanlist} ${man_target_dir})
+  brlcad_manage_files(${inmanlist} ${man_target_dir})
 endmacro(ADD_MAN_PAGES)
 
 # Local Variables:
Index: misc/CMake/FindSCL.cmake
===================================================================
--- misc/CMake/FindSCL.cmake	(revision 54114)
+++ misc/CMake/FindSCL.cmake	(working copy)
@@ -64,7 +64,7 @@
 find_library(SCL_EDITOR_LIB NAMES stepeditor)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(SCL DEFAULT_MSG SCL_CORE_LIB SCL_DAI_LIB SCL_UTILS_LIB SCL_FEDEX_PLUS_EXECUTABLE SCL_EXPRESS_EXECUTABLE)
+find_package_handle_standard_args(SCL DEFAULT_MSG SCL_CORE_LIB SCL_DAI_LIB SCL_UTILS_LIB SCL_FEDEX_PLUS_EXECUTABLE SCL_EXPRESS_EXECUTABLE)
 
 mark_as_advanced(SCL_CORE_LIB SCL_DAI_LIB SCL_EDITOR_LIB SCL_EXPPP_LIB SCL_UTILS_LIB)
 mark_as_advanced(SCL_EXPPP_EXECUTABLE SCL_EXPRESS_EXECUTABLE SCL_FEDEX_IDL_EXECUTABLE SCL_FEDEX_OS_EXECUTABLE SCL_FEDEX_PLUS_EXECUTABLE SCL_SYMLINK_EXECUTABLE)
Index: misc/CMake/FindTCL.cmake
===================================================================
--- misc/CMake/FindTCL.cmake	(revision 54114)
+++ misc/CMake/FindTCL.cmake	(working copy)
@@ -240,13 +240,13 @@
 set(TCL_POSSIBLE_MINOR_VERSIONS 6 5 4 3 2 1 0)
 
 # Create the Tcl/Tk options if not already present
-OPTION(TK_NATIVE_GRAPHICS "Require native Tk graphics." OFF)
-OPTION(TK_X11_GRAPHICS "Require X11 Tk graphics." OFF)
-OPTION(TCL_USE_FRAMEWORK_ONLY "Don't use any Tcl/Tk installation that isn't a Framework." OFF)
-OPTION(TCL_REQUIRE_TK "Look for Tk installation, not just Tcl." ON)
-OPTION(TCL_REQUIRE_THREADS "Reject a Tcl/Tk installation unless threads are enabled." OFF)
-OPTION(TCL_NEED_HEADERS "Don't report a found Tcl/Tk unless headers are present." ON)
-OPTION(TCL_NEED_STUB_LIBS "Don't report a found Tcl/Tk unless the stub libraries are present." ON)
+option(TK_NATIVE_GRAPHICS "Require native Tk graphics." OFF)
+option(TK_X11_GRAPHICS "Require X11 Tk graphics." OFF)
+option(TCL_USE_FRAMEWORK_ONLY "Don't use any Tcl/Tk installation that isn't a Framework." OFF)
+option(TCL_REQUIRE_TK "Look for Tk installation, not just Tcl." ON)
+option(TCL_REQUIRE_THREADS "Reject a Tcl/Tk installation unless threads are enabled." OFF)
+option(TCL_NEED_HEADERS "Don't report a found Tcl/Tk unless headers are present." ON)
+option(TCL_NEED_STUB_LIBS "Don't report a found Tcl/Tk unless the stub libraries are present." ON)
 
 # Sanity check the settings - can't require both Native and X11 if X11 isn't
 # the native windowing system on the platform
@@ -282,7 +282,7 @@
 macro(TK_GRAPHICS_SYSTEM wishcmd resultvar)
   set(${resultvar} "wm-NOTFOUND")
   file(WRITE ${tkwin_scriptfile} ${tkwin_script})
-  EXEC_PROGRAM(${wishcmd} ARGS ${tkwin_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+  exec_program(${wishcmd} ARGS ${tkwin_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
   file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TK_WINDOWINGSYSTEM readresultvar)
   string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 endmacro()
@@ -300,7 +300,7 @@
 macro(TCL_GET_VERSION tclshcmd resultvar)
   set(${resultvar} "NOTFOUND")
   file(WRITE ${tclversion_scriptfile} ${tclversion_script})
-  EXEC_PROGRAM(${tclshcmd} ARGS ${tclversion_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+  exec_program(${tclshcmd} ARGS ${tclversion_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
   file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TCL_VERSION readresultvar)
   string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 endmacro()
@@ -318,7 +318,7 @@
 	macro(TCL_ISTHREADED tclshcmd resultvar)
 	  set(${resultvar} "NOTFOUND")
 	  file(WRITE ${tclthreaded_scriptfile} ${tclthreaded_script})
-	  EXEC_PROGRAM(${tclshcmd} ARGS ${tclthreaded_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+	  exec_program(${tclshcmd} ARGS ${tclthreaded_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
 	  file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TCL_THREADED readresultvar)
 	  string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 	endmacro()
@@ -488,10 +488,10 @@
 	      foreach(SPATH ${${pathnames}})
 		set(TCL_CURRENTPATH TCL-NOTFOUND)
 		set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+		validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 		if(dosearch)
-		  FIND_PROGRAM_PATHS(BIN_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
-		  FIND_LIBRARY_PATHS(LIB_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		  find_program_paths(BIN_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		  find_library_paths(LIB_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
 		  foreach(targetbin ${targetbinnames})
 		    if(TCL_CURRENTPATH MATCHES "NOTFOUND$")
 		      find_program(TCL_CURRENTPATH NAMES ${targetbin}${MAJORNUM}.${MINORNUM} ${targetbin}${MAJORNUM}${MINORNUM} PATHS ${BIN_POSSIBLE_PATHS} ${options})
@@ -529,7 +529,7 @@
 	    foreach(MAJORNUM ${TCL_POSSIBLE_MAJOR_VERSIONS})
 	      foreach(MINORNUM ${TCL_POSSIBLE_MINOR_VERSIONS})
 		set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		VALIDATE_VERSION(isvalid ${CURRENT_SEARCH_VERSION})
+		validate_version(isvalid ${CURRENT_SEARCH_VERSION})
 		if(isvalid)
 		  foreach(genpath ${CONFIG_SEARCH_PATHS})
 		    set(CONFGENPATHS "${CONFGENPATHS};${genpath}${MAJORNUM}${MINORNUM};${genpath}${MAJORNUM}.${MINORNUM}")
@@ -619,7 +619,7 @@
 	#-----------------------------------------------------------------------------
 
 	macro(READ_TCLCONFIG_FILE tclconffile)
-	  RESET_TCL_VARS()
+	  reset_tcl_vars()
 	  set(TCL_CONF_FILE "")
 	  file(READ ${tclconffile} TCL_CONF_FILE)
 	  string(REGEX REPLACE "\r?\n" ";" ENT "${TCL_CONF_FILE}")
@@ -646,15 +646,15 @@
 		set(TCL_EXE_SUFFIX "")
 	      endif(MSVC)
 	      string(REGEX REPLACE ".*TCL_EXEC_PREFIX='(.+)'.*" "\\1" TCL_TCLSH_EXECUTABLE ${line})
-	      IF (EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      if (EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
 	      endif()
 	    endif()
@@ -669,7 +669,7 @@
 
 
 	macro(READ_TKCONFIG_FILE tkconffile)
-	  RESET_TK_VARS()
+	  reset_tk_vars()
 	  set(TK_CONF_FILE "")
 	  file(READ ${tkconffile} TK_CONF_FILE)
 	  string(REGEX REPLACE "\r?\n" ";" ENT "${TK_CONF_FILE}")
@@ -696,15 +696,15 @@
 		set(TK_EXE_SUFFIX "")
 	      endif(MSVC)
 	      string(REGEX REPLACE ".*TK_EXEC_PREFIX='(.+)'.*" "\\1" TCL_WISH_EXECUTABLE ${line})
-	      IF (EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      if (EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish")
 	      endif()
 	    endif()
@@ -723,16 +723,16 @@
 
 	macro(VALIDATE_TCL validvar)
 	  set(${validvar} 1)
-	  VALIDATE_TCL_VARIABLES(${validvar})
+	  validate_tcl_variables(${validvar})
 	  if(TCL_TCLSH_EXECUTABLE)
-	    TCL_GET_VERSION(${TCL_TCLSH_EXECUTABLE} CURRENT_SEARCH_VERSION)
-	    VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+	    tcl_get_version(${TCL_TCLSH_EXECUTABLE} CURRENT_SEARCH_VERSION)
+	    validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 	    if(NOT dosearch)
 	      set(${validvar} 0)
 	    endif(NOT dosearch)
 	  endif(TCL_TCLSH_EXECUTABLE)
 	  if(TCL_REQUIRE_THREADS AND TCL_TCLSH_EXECUTABLE)
-	    TCL_ISTHREADED(${TCL_TCLSH_EXECUTABLE} TCL_THREADS)
+	    tcl_isthreaded(${TCL_TCLSH_EXECUTABLE} TCL_THREADS)
 	    if(NOT TCL_THREADS)
 	      set(${validvar} 0)
 	    endif(NOT TCL_THREADS)
@@ -741,9 +741,9 @@
 
 	macro(VALIDATE_TK validvar)
 	  set(${validvar} 1)
-	  VALIDATE_TK_VARIABLES(${validvar})
+	  validate_tk_variables(${validvar})
 	  if(TK_NATIVE_GRAPHICS OR TK_X11_GRAPHICS)
-	    TK_GRAPHICS_SYSTEM(${TCL_WISH_EXECUTABLE} TK_SYSTEM_GRAPHICS)
+	    tk_graphics_system(${TCL_WISH_EXECUTABLE} TK_SYSTEM_GRAPHICS)
 	    if(APPLE AND TK_NATIVE_GRAPHICS)
 	      if(NOT ${TK_SYSTEM_GRAPHICS} MATCHES "aqua")
 		set(${validvar} 0)
@@ -852,19 +852,19 @@
 	    set(TCL_PREFIX_LIBDIRS ${TCL_PREFIX_LIBDIRS} ${TCL_LIB_PATH_PARENT}/lib)
 	    set(TCL_PREFIX_LIBDIRS ${TCL_PREFIX_LIBDIRS} ${TCL_LIB_PATH_PARENT})
 	    list(REMOVE_DUPLICATES TCL_PREFIX_LIBDIRS)
-	    FIND_LIBRARY_VERSIONS(tcl TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
+	    find_library_versions(tcl TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
 	    set(FOUND_FILES "${TCL_tcl_LIST}")
-	    FIND_CONFIG_FILES(FOUND_FILES TCLCONFIG_LIST tclConfig.sh)
+	    find_config_files(FOUND_FILES TCLCONFIG_LIST tclConfig.sh)
 	    if(TCL_REQUIRE_TK)
-	      FIND_LIBRARY_VERSIONS(tk TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
+	      find_library_versions(tk TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
 	      set(FOUND_FILES "${TCL_tk_LIST}")
-	      FIND_CONFIG_FILES(FOUND_FILES TKCONFIG_LIST tkConfig.sh)
+	      find_config_files(FOUND_FILES TKCONFIG_LIST tkConfig.sh)
 	    endif(TCL_REQUIRE_TK)
 	  else(TCL_PREFIX)
 	    set(TCLCONFIG_LIST "")
 	    if(APPLE)
 	      include(CMakeFindFrameworks)
-	      CMAKE_FIND_FRAMEWORKS(Tcl)
+	      cmake_find_frameworks(Tcl)
 	      foreach(dir ${Tcl_FRAMEWORKS})
 		set(tclconf "tclConfig.sh-NOTFOUND")
 		find_file(tclconf tclConfig.sh PATHS ${dir})
@@ -874,7 +874,7 @@
 		endif(NOT tclconf MATCHES "NOTFOUND$")
 	      endforeach(dir ${Tcl_FRAMEWORKS})
 	      if(TCL_REQUIRE_TK)
-		CMAKE_FIND_FRAMEWORKS(Tk)
+		cmake_find_frameworks(Tk)
 		foreach(dir ${Tk_FRAMEWORKS})
 		  set(tkconf "tkConfig.sh-NOTFOUND")
 		  find_file(tkconf tkConfig.sh PATHS ${dir})
@@ -889,7 +889,7 @@
 	      set(PATHLIST "$ENV{LD_LIBRARY_PATH}:$ENV{DYLD_LIBRARY_PATH}:$ENV{DYLD_FALLBACK_LIBRARY_PATH}:$ENV{PATH}")
 	      set(PATHLIST "${TCL_ADDITIONAL_SEARCH_PATHS}:${PATHLIST}")
 	      if(WIN32)
-		WIN32TCLPATHS(PATHLIST "")
+		win32tclpaths(PATHLIST "")
 	      endif(WIN32)
 	      string(REGEX REPLACE "/s?bin:" ":" PATHLIST "${PATHLIST}")
 	      string(REGEX REPLACE "/s?bin;" ":" PATHLIST "${PATHLIST}")
@@ -906,41 +906,41 @@
 	      endforeach()
 	      set(TCLPATHLIST "${PATHLIST}")
 	      set(TKPATHLIST "${PATHLIST}")
-	      FIND_POSSIBLE_PATHS("tclsh" "tcl" TCLPATHLIST NO_SYSTEM_PATH)
+	      find_possible_paths("tclsh" "tcl" TCLPATHLIST NO_SYSTEM_PATH)
 	      if(TCL_REQUIRE_TK)
-		FIND_POSSIBLE_PATHS("wish" "tk" TKPATHLIST NO_SYSTEM_PATH)
+		find_possible_paths("wish" "tk" TKPATHLIST NO_SYSTEM_PATH)
 	      endif(TCL_REQUIRE_TK)
 	      # Hunt up tclConfig.sh files
-	      FIND_CONFIG_FILES(TCLPATHLIST TCLCONFIG_LIST tclConfig.sh)
+	      find_config_files(TCLPATHLIST TCLCONFIG_LIST tclConfig.sh)
 	      # Hunt up tkConfig.sh files
-	      FIND_CONFIG_FILES(TKPATHLIST TKCONFIG_LIST tkConfig.sh)
+	      find_config_files(TKPATHLIST TKCONFIG_LIST tkConfig.sh)
 	    endif(NOT APPLE OR NOT TCL_USE_FRAMEWORK_ONLY)
 	  endif(TCL_PREFIX)
 	  set(TCLVALID 0)
-	  RESET_TCL_VARS()
+	  reset_tcl_vars()
 	  foreach(tcl_config_file ${TCLCONFIG_LIST})
 	    if(NOT TCLVALID)
-	      RESET_TCL_VARS()
-	      READ_TCLCONFIG_file(${tcl_config_file})
+	      reset_tcl_vars()
+	      read_tclconfig_file(${tcl_config_file})
 	      set(TCLVALID 1)
 	      set(CURRENTTCLVERSION "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
-	      VALIDATE_VERSION(TCLVALID ${CURRENTTCLVERSION})
+	      validate_version(TCLVALID ${CURRENTTCLVERSION})
 	      if(TCLVALID)
 		get_filename_component(TCL_CONF_PREFIX "${tcl_config_file}" PATH)
 		get_filename_component(TCL_LIBRARY_DIR2 "${TCL_CONF_PREFIX}" PATH)
-		FIND_LIBRARY_PATHS(TCL_LIBRARY_SEARCH_PATHS TCL_PREFIX ${TCL_VERSION_MAJOR} ${TCL_VERSION_MINOR})
+		find_library_paths(TCL_LIBRARY_SEARCH_PATHS TCL_PREFIX ${TCL_VERSION_MAJOR} ${TCL_VERSION_MINOR})
 		set(TCL_LIBRARY_SEARCH_PATHS "${TCL_CONF_PREFIX};${TCL_LIBRARY_DIR2};${TCL_LIBRARY_SEARCH_PATHS}")
 		find_library(TCL_LIBRARY tcl Tcl tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} tcl${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR} PATHS ${TCL_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 		find_library(TCL_STUB_LIBRARY tclstub${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} tclstub${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR} PATHS ${TCL_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 	      endif(TCLVALID)
-	      VALIDATE_TCL(TCLVALID)
+	      validate_tcl(TCLVALID)
 	      if(TCLVALID)
 		if(TCL_REQUIRE_TK)
 		  set(TKVALID 0)
 		  foreach(tk_config_file ${TKCONFIG_LIST})
 		    if(NOT TKVALID)
-		      RESET_TK_VARS()
-		      READ_TKCONFIG_file(${tk_config_file})
+		      reset_tk_vars()
+		      read_tkconfig_file(${tk_config_file})
 		      set(TKVALID 0)
 		      set(CURRENTTKVERSION "${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}.${TK_VERSION_PATCH}")
 		      set(vtcltkcompare 0)
@@ -952,18 +952,18 @@
 		      if(TKVALID)
 			get_filename_component(TCL_TK_CONF_PREFIX "${tk_config_file}" PATH)
 			get_filename_component(TCL_TK_LIBRARY_DIR2 "${TCL_TK_CONF_PREFIX}" PATH)
-			FIND_LIBRARY_PATHS(TCL_TK_LIBRARY_SEARCH_PATHS TK_PREFIX ${TK_VERSION_MAJOR} ${TK_VERSION_MINOR})
+			find_library_paths(TCL_TK_LIBRARY_SEARCH_PATHS TK_PREFIX ${TK_VERSION_MAJOR} ${TK_VERSION_MINOR})
 			set(TCL_TK_LIBRARY_SEARCH_PATHS "${TCL_TK_CONF_PREFIX};${TCL_TK_LIBRARY_DIR2};${TCL_TK_LIBRARY_SEARCH_PATHS}")
 			find_library(TCL_TK_LIBRARY tk Tk tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR} tk${TK_VERSION_MAJOR}${TK_VERSION_MINOR} PATHS ${TCL_TK_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 			find_library(TCL_TK_STUB_LIBRARY tkstub tkstub${TK_VERSION_MAJOR}.${TK_VERSION_MINOR} tkstub${TK_VERSION_MAJOR}${TK_VERSION_MINOR} PATHS ${TCL_TK_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
-			VALIDATE_TK(TKVALID)
+			validate_tk(TKVALID)
 		      endif(TKVALID)
 		    endif(NOT TKVALID)
 		  endforeach(tk_config_file ${TKCONFIG_LIST})
 		  if(NOT TKVALID)
 		    set(TCLVALID 0)
-		    RESET_TCL_VARS()
-		    RESET_TK_VARS()
+		    reset_tcl_vars()
+		    reset_tk_vars()
 		  endif(NOT TKVALID)
 		endif(TCL_REQUIRE_TK)
 	      endif(TCLVALID)
@@ -983,29 +983,29 @@
 	      foreach(MINORNUM ${TCL_POSSIBLE_MINOR_VERSIONS})
 		foreach(SPATH ${PATHLIST})
 		  if(NOT TCLVALID)
-		    RESET_TCL_VARS()
+		    reset_tcl_vars()
 		    set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		    VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+		    validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 		    if(dosearch)
-		      FIND_LIBRARY_PATHS(TCL_LIBRARY_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
-		      FIND_PROGRAM_PATHS(TCL_PROGRAM_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		      find_library_paths(TCL_LIBRARY_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		      find_program_paths(TCL_PROGRAM_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
 		      find_program(TCL_TCLSH_EXECUTABLE NAMES tclsh${MAJORNUM}.${MINORNUM} tclsh${MAJORNUM}${MINORNUM} PATHS ${TCL_PROGRAM_SEARCH_PATHS} NO_SYSTEM_PATH)
 		    endif(dosearch)
-		    VALIDATE_TCL(TCLVALID)
+		    validate_tcl(TCLVALID)
 		    if(TCLVALID)
 		      if(TCL_REQUIRE_TK)
 			set(TKVALID 0)
-			RESET_TK_VARS()
+			reset_tk_vars()
 			find_program(TCL_WISH_EXECUTABLE NAMES wish${MAJORNUM}.${MINORNUM} wish${MAJORNUM}${MINORNUM} PATHS ${TCL_PROGRAM_SEARCH_PATHS} NO_SYSTEM_PATH)
-			VALIDATE_TK(TKVALID)
+			validate_tk(TKVALID)
 			if(NOT TKVALID)
 			  set(TCLVALID 0)
-			  RESET_TCL_VARS()
-			  RESET_TK_VARS()
+			  reset_tcl_vars()
+			  reset_tk_vars()
 			endif(NOT TKVALID)
 		      endif(TCL_REQUIRE_TK)
 		    else(TCLVALID)
-		      RESET_TCL_VARS()
+		      reset_tcl_vars()
 		    endif(TCLVALID)
 		  endif(NOT TCLVALID)
 		endforeach(SPATH ${PATHLIST})
@@ -1023,11 +1023,11 @@
 	  set(TCL_STUB_LIBRARIES ${TCL_STUB_LIBRARY} ${TK_STUB_LIBRARY})
 	  set(TCL_ROOT_PATH ${TCL_CONF_PREFIX})
 	  set(TCL_VERSION_STRING "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
-	  FIND_PACKAGE_HANDLE_STANDARD_ARGS(TCL DEFAULT_MSG TCL_LIBRARY ${PACKAGE_HANDLE_VARS})
+	  find_package_handle_standard_args(TCL DEFAULT_MSG TCL_LIBRARY ${PACKAGE_HANDLE_VARS})
 	  if(TCL_REQUIRE_TK)
 	    set(TK_FIND_QUIETLY ${TCL_FIND_QUIETLY})
 	    set(PACKAGE_HANDLE_VARS "${PACKAGE_HANDLE_VARS};TCL_LIBRARY")
-	    FIND_PACKAGE_HANDLE_STANDARD_ARGS(TK DEFAULT_MSG TCL_TK_LIBRARY ${PACKAGE_HANDLE_VARS})
+	    find_package_handle_standard_args(TK DEFAULT_MSG TCL_TK_LIBRARY ${PACKAGE_HANDLE_VARS})
 	  endif(TCL_REQUIRE_TK)
 
 	  foreach(pkgvar ${PACKAGE_HANDLE_VARS})
Index: misc/CMake/BRLCAD_CompilerFlags.cmake
===================================================================
--- misc/CMake/BRLCAD_CompilerFlags.cmake	(revision 54114)
+++ misc/CMake/BRLCAD_CompilerFlags.cmake	(working copy)
@@ -40,23 +40,23 @@
 # -fast-math results in non-IEEE floating point math among a handful
 # of other optimizations that cause substantial error in ray tracing
 # and tessellation (and probably more).
-BRLCAD_CHECK_C_FLAG(O3 GROUPS OPTIMIZE_C_FLAGS)
-BRLCAD_CHECK_C_FLAG(fstrength-reduce GROUPS OPTIMIZE_C_FLAGS)
-BRLCAD_CHECK_C_FLAG(fexpensive-optimizations GROUPS OPTIMIZE_C_FLAGS)
-BRLCAD_CHECK_C_FLAG(finline-functions GROUPS OPTIMIZE_C_FLAGS)
-BRLCAD_CHECK_C_FLAG("finline-limit=10000 --param inline-unit-growth=300 --param large-function-growth=300" GROUPS OPTIMIZE_C_FLAGS)
-BRLCAD_CHECK_CXX_FLAG(O3 GROUPS OPTIMIZE_CXX_FLAGS)
-BRLCAD_CHECK_CXX_FLAG(fstrength-reduce GROUPS OPTIMIZE_CXX_FLAGS)
-BRLCAD_CHECK_CXX_FLAG(fexpensive-optimizations GROUPS OPTIMIZE_CXX_FLAGS)
-BRLCAD_CHECK_CXX_FLAG(finline-functions GROUPS OPTIMIZE_CXX_FLAGS)
-BRLCAD_CHECK_CXX_FLAG("finline-limit=10000 --param inline-unit-growth=300 --param large-function-growth=300" GROUPS OPTIMIZE_CXX_FLAGS)
+brlcad_check_c_flag(O3 GROUPS OPTIMIZE_C_FLAGS)
+brlcad_check_c_flag(fstrength-reduce GROUPS OPTIMIZE_C_FLAGS)
+brlcad_check_c_flag(fexpensive-optimizations GROUPS OPTIMIZE_C_FLAGS)
+brlcad_check_c_flag(finline-functions GROUPS OPTIMIZE_C_FLAGS)
+brlcad_check_c_flag("finline-limit=10000 --param inline-unit-growth=300 --param large-function-growth=300" GROUPS OPTIMIZE_C_FLAGS)
+brlcad_check_cxx_flag(O3 GROUPS OPTIMIZE_CXX_FLAGS)
+brlcad_check_cxx_flag(fstrength-reduce GROUPS OPTIMIZE_CXX_FLAGS)
+brlcad_check_cxx_flag(fexpensive-optimizations GROUPS OPTIMIZE_CXX_FLAGS)
+brlcad_check_cxx_flag(finline-functions GROUPS OPTIMIZE_CXX_FLAGS)
+brlcad_check_cxx_flag("finline-limit=10000 --param inline-unit-growth=300 --param large-function-growth=300" GROUPS OPTIMIZE_CXX_FLAGS)
 if(${BRLCAD_OPTIMIZED_BUILD} MATCHES "ON")
   if(NOT BRLCAD_ENABLE_PROFILING AND NOT BRLCAD_FLAGS_DEBUG)
-    BRLCAD_CHECK_C_FLAG(fomit-frame-pointer GROUPS OPTIMIZE_C_FLAGS)
-    BRLCAD_CHECK_CXX_FLAG(fomit-frame-pointer GROUPS OPTIMIZE_CXX_FLAGS)
+    brlcad_check_c_flag(fomit-frame-pointer GROUPS OPTIMIZE_C_FLAGS)
+    brlcad_check_cxx_flag(fomit-frame-pointer GROUPS OPTIMIZE_CXX_FLAGS)
   else(NOT BRLCAD_ENABLE_PROFILING AND NOT BRLCAD_FLAGS_DEBUG)
-    BRLCAD_CHECK_C_FLAG(fno-omit-frame-pointer GROUPS OPTIMIZE_C_FLAGS)
-    BRLCAD_CHECK_CXX_FLAG(fno-omit-frame-pointer GROUPS OPTIMIZE_CXX_FLAGS)
+    brlcad_check_c_flag(fno-omit-frame-pointer GROUPS OPTIMIZE_C_FLAGS)
+    brlcad_check_cxx_flag(fno-omit-frame-pointer GROUPS OPTIMIZE_CXX_FLAGS)
   endif(NOT BRLCAD_ENABLE_PROFILING AND NOT BRLCAD_FLAGS_DEBUG)
 endif(${BRLCAD_OPTIMIZED_BUILD} MATCHES "ON")
 
@@ -74,8 +74,8 @@
   endif(${BRLCAD_OPTIMIZED_BUILD} MATCHES "ON")
 endif(${BRLCAD_FLAGS_OPTIMIZATION} MATCHES "AUTO")
 if(opt_conf_list)
-  ADD_NEW_FLAG(C OPTIMIZE_C_FLAGS "${opt_conf_list}")
-  ADD_NEW_FLAG(CXX OPTIMIZE_CXX_FLAGS "${opt_conf_list}")
+  add_new_flag(C OPTIMIZE_C_FLAGS "${opt_conf_list}")
+  add_new_flag(CXX OPTIMIZE_CXX_FLAGS "${opt_conf_list}")
 endif(opt_conf_list)
 
 # verbose warning flags
@@ -83,45 +83,45 @@
   # also of interest:
   # -Wunreachable-code -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -ansi
   # -Wformat=2 (after bu_fopen_uniq() is obsolete)
-  BRLCAD_CHECK_C_FLAG(pedantic)
-  BRLCAD_CHECK_CXX_FLAG(pedantic)
+  brlcad_check_c_flag(pedantic)
+  brlcad_check_cxx_flag(pedantic)
 
   # The Wall warnings are too verbose with Visual C++
   if(NOT MSVC)
-    BRLCAD_CHECK_C_FLAG(Wall)
-    BRLCAD_CHECK_CXX_FLAG(Wall)
+    brlcad_check_c_flag(Wall)
+    brlcad_check_cxx_flag(Wall)
   else(NOT MSVC)
-    BRLCAD_CHECK_C_FLAG(W4)
-    BRLCAD_CHECK_CXX_FLAG(W4)
+    brlcad_check_c_flag(W4)
+    brlcad_check_cxx_flag(W4)
   endif(NOT MSVC)
 
-  BRLCAD_CHECK_C_FLAG(Wextra)
-  BRLCAD_CHECK_CXX_FLAG(Wextra)
+  brlcad_check_c_flag(Wextra)
+  brlcad_check_cxx_flag(Wextra)
 
-  BRLCAD_CHECK_C_FLAG(Wundef)
-  BRLCAD_CHECK_CXX_FLAG(Wundef)
+  brlcad_check_c_flag(Wundef)
+  brlcad_check_cxx_flag(Wundef)
 
-  BRLCAD_CHECK_C_FLAG(Wfloat-equal)
-  BRLCAD_CHECK_CXX_FLAG(Wfloat-equal)
+  brlcad_check_c_flag(Wfloat-equal)
+  brlcad_check_cxx_flag(Wfloat-equal)
 
-  BRLCAD_CHECK_C_FLAG(Wshadow)
-  BRLCAD_CHECK_CXX_FLAG(Wshadow)
+  brlcad_check_c_flag(Wshadow)
+  brlcad_check_cxx_flag(Wshadow)
 
-  BRLCAD_CHECK_C_FLAG(Winline)
-  BRLCAD_CHECK_CXX_FLAG(Winline)
+  brlcad_check_c_flag(Winline)
+  brlcad_check_cxx_flag(Winline)
 
   # Need this for tcl.h
-  BRLCAD_CHECK_C_FLAG(Wno-long-long)
-  BRLCAD_CHECK_CXX_FLAG(Wno-long-long)
+  brlcad_check_c_flag(Wno-long-long)
+  brlcad_check_cxx_flag(Wno-long-long)
 
   # Need this for X11 headers using variadic macros
-  BRLCAD_CHECK_C_FLAG(Wno-variadic-macros)
-  BRLCAD_CHECK_CXX_FLAG(Wno-variadic-macros)
+  brlcad_check_c_flag(Wno-variadic-macros)
+  brlcad_check_cxx_flag(Wno-variadic-macros)
 endif(BRLCAD_ENABLE_COMPILER_WARNINGS OR BRLCAD_ENABLE_STRICT)
 
 if(BRLCAD_ENABLE_STRICT)
-  BRLCAD_CHECK_C_FLAG(Werror)
-  BRLCAD_CHECK_CXX_FLAG(Werror)
+  brlcad_check_c_flag(Werror)
+  brlcad_check_cxx_flag(Werror)
 endif(BRLCAD_ENABLE_STRICT)
 
 # End detection of flags intended for BRL-CAD use.  Make sure all variables have
